<?xml version="1.0" encoding="utf-8"?>
<android.support.v7.widget.CardView
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    tools:ignore="MissingPrefix"
    android:orientation="vertical"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@color/white"
    app:cardCornerRadius="4dp"
    android:layout_marginTop="12dp"
    android:layout_marginLeft="12dp"
    android:layout_marginStart="12dp"
    android:layout_marginRight="12dp"
    android:layout_marginEnd="12dp">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical">

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal">

            <ImageView
                android:id="@+id/pizzaImageView"
                android:layout_width="120dp"
                android:layout_height="120dp"
                android:layout_gravity="center_horizontal" />

            <LinearLayout
                android:id="@+id/pizzaIngredientsLayout"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_toRightOf="@+id/pizzaImageView"
                android:layout_toEndOf="@+id/pizzaImageView"
                android:orientation="vertical">

                <TextView
                    android:id="@+id/pizzaNameTextView"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:textColor="@android:color/black"
                    android:textSize="16sp"
                    android:padding="12dp"
                    android:text="Anatolia"
                    fontPath="fonts/Quicksand-Bold.ttf"/>

                <!--
                    android:background="@color/row_pizza_ingredients_background"
                    android:gravity="center"
                    -->
                <TextView
                    android:id="@+id/pizzaIngredientsTextView"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:padding="8dp"
                    android:textColor="@android:color/black"
                    android:text="Mozzarella, Artischocken, Pilze, Peperoni, Oliven, Oregano"/>

            </LinearLayout>

            <ImageView
                android:id="@+id/expandBottomLayoutImageView"
                android:layout_width="32dp"
                android:layout_height="32dp"
                android:padding="8dp"
                android:layout_centerHorizontal="true"
                android:layout_below="@+id/pizzaIngredientsLayout"
                android:src="@drawable/ic_down_red"/>

        </RelativeLayout>

        <LinearLayout
            android:id="@+id/pizzaBottomLayout"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:visibility="visible">

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal"
                    android:layout_centerVertical="true">

                    <LinearLayout
                        android:id="@+id/pizzaSize1Layout"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:orientation="vertical"
                        android:paddingLeft="12dp"
                        android:paddingStart="12dp"
                        android:paddingRight="12dp"
                        android:paddingEnd="12dp"
                        android:layout_gravity="center_vertical">

                        <TextView
                            android:id="@+id/pizzaSize1NameTextView"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="Klein"
                            android:textSize="10sp"
                            android:layout_gravity="center_horizontal"
                            android:textColor="@color/navy"/>

                        <android.support.v7.widget.AppCompatCheckBox
                            android:id="@+id/pizzaSize1CheckBox"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_horizontal"
                            android:layout_marginTop="4dp"
                            />

                        <TextView
                            android:id="@+id/pizzaSize1LengthTextView"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="26cm"
                            android:textSize="12sp"
                            android:layout_marginTop="4dp"
                            android:layout_gravity="center_horizontal"
                            android:textColor="@color/navy"/>

                    </LinearLayout>

                    <LinearLayout
                        android:id="@+id/pizzaSize2Layout"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:orientation="vertical"
                        android:paddingLeft="12dp"
                        android:paddingStart="12dp"
                        android:paddingRight="12dp"
                        android:layout_gravity="center_vertical">

                        <TextView
                            android:id="@+id/pizzaSize2NameTextView"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="Normal"
                            android:textSize="10sp"
                            android:layout_gravity="center_horizontal"
                            android:textColor="@color/navy"/>

                        <android.support.v7.widget.AppCompatCheckBox
                            android:id="@+id/pizzaSize2CheckBox"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_horizontal"
                            android:layout_marginTop="4dp"
                            />

                        <TextView
                            android:id="@+id/pizzaSize2LengthTextView"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="32cm"
                            android:textSize="12sp"
                            android:layout_marginTop="4dp"
                            android:layout_gravity="center_horizontal"
                            android:textColor="@color/navy"/>

                    </LinearLayout>

                    <LinearLayout
                        android:id="@+id/pizzaSize3Layout"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:orientation="vertical"
                        android:paddingLeft="12dp"
                        android:paddingStart="12dp"
                        android:paddingRight="12dp"
                        android:layout_gravity="center_vertical">

                        <TextView
                            android:id="@+id/pizzaSize3NameTextView"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="Gross"
                            android:textSize="10sp"
                            android:layout_gravity="center_horizontal"
                            android:textColor="@color/navy"/>

                        <android.support.v7.widget.AppCompatCheckBox
                            android:id="@+id/pizzaSize3CheckBox"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_horizontal"
                            android:layout_marginTop="4dp"
                            />

                        <TextView
                            android:id="@+id/pizzaSize3LengthTextView"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="50cm"
                            android:textSize="12sp"
                            android:layout_marginTop="4dp"
                            android:layout_gravity="center_horizontal"
                            android:textColor="@color/navy"/>

                    </LinearLayout>

                </LinearLayout>

                <LinearLayout
                    android:id="@+id/pizzaCountLayout"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal"
                    android:layout_alignParentRight="true"
                    android:layout_alignParentEnd="true"
                    android:paddingLeft="8dp"
                    android:paddingStart="8dp"
                    android:paddingRight="8dp"
                    android:paddingEnd="8dp"
                    android:layout_centerVertical="true">

                    <ImageView
                        android:id="@+id/increasePizzaCountTextView"
                        android:layout_width="36dp"
                        android:layout_height="36dp"
                        android:padding="8dp"
                        android:layout_gravity="center_vertical"
                        android:src="@drawable/ic_increase"
                        android:layout_marginRight="4dp"
                        android:layout_marginEnd="4dp"/>

                    <TextView
                        android:id="@+id/pizzaCountTextView"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="1"
                        android:textSize="18sp"
                        fontPath="fonts/Quicksand-Bold.ttf"
                        android:layout_gravity="center_vertical"
                        android:textColor="@color/navy"/>

                    <ImageView
                        android:id="@+id/deccreasePizzaCountTextView"
                        android:layout_width="36dp"
                        android:layout_height="36dp"
                        android:padding="8dp"
                        android:layout_marginLeft="4dp"
                        android:layout_marginStart="4dp"
                        android:layout_gravity="center_vertical"
                        android:src="@drawable/ic_decrease"/>

                </LinearLayout>

            </RelativeLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical">

                <TextView
                    android:id="@+id/pizzaPriceTextView"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:textColor="@android:color/black"
                    android:text="CHF 25.00"
                    fontPath="fonts/Quicksand-Bold.ttf"
                    android:textSize="18sp"
                    android:padding="12dp"
                    android:layout_gravity="center_horizontal"/>

                <Button
                    android:id="@+id/addPizzaToCartButton"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="12dp"
                    android:layout_marginStart="12dp"
                    android:layout_marginRight="12dp"
                    android:layout_marginEnd="12dp"
                    style="@style/ContinueCartButton"
                    android:layout_gravity="center_vertical"
                    android:text="Add to Cart" />

                <ImageView
                    android:id="@+id/collapseBottomLayoutImageView"
                    android:layout_width="32dp"
                    android:layout_height="32dp"
                    android:padding="10dp"
                    android:layout_gravity="center_horizontal"
                    android:src="@drawable/ic_cancel"
                    android:visibility="visible"/>

            </LinearLayout>

        </LinearLayout>

    </LinearLayout>

</android.support.v7.widget.CardView>